* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    position: relative;
}
html, body {
    scroll-behavior: smooth;
}
h1 {
    padding: 10px 0 0 10px;
    font-size: 22px;
}
.sm {padding: 10px 0 0 10px;}
.container {
    width: 100%;
    display: flex;
    flex-direction: column;
    padding: 10px;
}
.form-label {
    width: 100%;
    display: flex;
    margin-bottom: 10px;
    align-items: center;
    justify-content: space-between;
}
.form-label label {
    width: 40%;
    font-weight: bold;
}
.ipt {
    width: 60%;
    outline: none;
    border: 1px solid #ccc;
    padding: 7px;
    border-radius: 5px;
}
.ipt.warning, .form-ukuran input.warning {
    border: 1px solid #fa1e0f;
}
.form-ukuran {
    width: 100%;
    display: flex;
    align-items: center;
    margin-bottom: 5px;
}
.form-ukuran input {
    width: 80%;
    outline: none;
    border: 1px solid #ccc;
    padding: 7px;
    border-radius: 5px;
    margin-right: 5px;
}

.box-bs-bp {
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
}
.box-bs-bp div {
    width: 45%;
    display: flex;
    flex-direction: column;
}
.box-bs-bp div input {
    outline: none;
    border: 1px solid #ccc;
    padding: 7px;
    border-radius: 5px;
    margin-top: 5px;   
}
.box-bs-bp div input.warning {
    border: 1px solid #fa1e0f;
}
.box-bs-bp2 {
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin-top: 5px;
}
.box-bs-bp2 div {
    width: 32%;
    display: flex;
    flex-direction: column;
}
.geser-yard {
    transform: translateX(-45px);
}
.box-bs-bp2 div input {
    outline: none;
    border: 1px solid #ccc;
    padding: 7px;
    border-radius: 5px;
    margin-top: 5px;   
}
.box-bs-bp2 div input.warning {
    border: 1px solid #fa1e0f;
}
.circle-green {
    background: #06a235;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    color: #FFFFFF;
    position: absolute;
    right: 5px;
}
.circle-red {
    background: #fa1e0f;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    color: #FFFFFF;
}
.fortable {
    width: 100%;
    background: #ccc;
    margin-top: 10px;
    max-height: 280px;
    overflow-y: auto;
}
.fortable.has {
    max-height: 300px;
}
.fortable.has2 {
    max-height: 150px;
    font-size: 13px;
}
.fortable2 {
    width: 100%;
    background: #FFFFFF;
    margin-top: 10px;
    font-size: 11px;
}
.rows {
    width: 100%;
    display: flex;
}
.rows.center {
    justify-content: center;
}
.rows div {
    border: 1px solid #FFFFFF;
    flex: auto;
}

  
  .fortable table {
    width: 100%; /* Menyesuaikan lebar tabel dengan lebar container */
    border-collapse: collapse; /* Menggabungkan batas sel tabel */
  }
  
  .fortable th,
  .fortable td {
    padding: 8px; /* Tambahkan padding sel sesuai kebutuhan */
    border: 1px solid #FFFFFF; /* Tambahkan garis batas sel sesuai kebutuhan */
  }
  .fortable2 table {
    width: 100%; /* Menyesuaikan lebar tabel dengan lebar container */
    border-collapse: collapse; /* Menggabungkan batas sel tabel */
  }
  
  .fortable2 th,
  .fortable2 td {
    padding: 8px; /* Tambahkan padding sel sesuai kebutuhan */
    border: 1px solid #000000; /* Tambahkan garis batas sel sesuai kebutuhan */
  }
.btn-save {
    margin-top: 10px;
    outline: none;
    border: 1px solid #4287f5;
    padding: 10px 0;
    background: #4287f5;
    color: #FFFFFF;
    border-radius: 5px;
}
.btn-save2 {
    margin-top: 10px;
    outline: none;
    border: 1px solid #42f5a7;
    padding: 10px 0;
    background: #06a235;
    color: #FFFFFF;
    border-radius: 5px;
    text-decoration: none;
    width: 100%;
    display: flex;
    justify-content: center;
}
.full-device {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.ipt-user {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 20px 0;
}
.ipt-user label {
    color: #797979;
    font-size: 12px;
}
.iduser {
    width: 60%;
    outline: none;
    border: 1px solid #ccc;
    text-align: center;
    padding: 7px;
    caret-color: #4287f5;
    margin-top: 2px;
    border-radius: 15px;
}
.kotakan {
    width: 60%;
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
}
.input-kotak {
    width: 100px;
    height: 50px;
    background: #f0eeee;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    border-radius: 4px;
}
#judul {
    margin-bottom: 15px;
}
.input-kotak.active {
    color: #FFFFFF;
    background: #4287f5;
}
.btn-login {
    border: none;
    outline: none;
    background-color: #4287f5;
    padding: 10px 20px;
    font-size: 12px;
    font-weight: 700;
    color: #fff;
    border-radius: 5px;
    transition: all ease 0.1s;
    box-shadow: 0px 5px 0px 0px #93b3e8;
  }
  
  .btn-login:active {
    transform: translateY(5px);
    box-shadow: 0px 0px 0px 0px #93b3e8;
  }
  .doble-btn {
        width: 100%;
        display: flex;
        justify-content: space-evenly;
        align-items: center;
        margin-top: 15px;
  }
  .db-btn {
        width: 45%;
        background: #06a235;
        padding: 10px 0;
        color: #000000;
        font-size: 11px;
        display: flex;
        justify-content: center;
        border-radius: 3px;
  }
.db-btn.red {
    background: #fa1e0f;
    color: #FFFFFF;
}
.inforsblm {
    width: 100%;
    border-radius: 5px;
    font-size: 12px;
    padding: 5px;
    border: 1px solid #b3b3b3;
}
@media print
{    
    .no-print, .no-print *
    {
        display: none !important;
    }
}
.kotaknewpkg {
    width: 100%;
    border: 1px solid #ccc;
    min-height: 50px;
    margin-top: 20px;
    border-radius: 5px;
    position: relative;
    padding: 20px 0;
    display: flex;
    align-items: center;
    padding: 20px 10px;
}
.kotaknewpkg span {
    position: absolute;
    color: #3f3e3e;
    font-size: 14px;
    background: #FFF;
    padding: 0 10px;
    top:-9px;
    left: 10px;
}
.kotaknewpkg98 {
    width: 100%;
    border: 1px solid #ccc;
    min-height: 50px;
    margin-top: 20px;
    border-radius: 5px;
    position: relative;
    padding: 20px 0;
    display: flex;
    align-items: center;
    padding: 20px 10px;
    flex-direction: column;
}
.kotaknewpkg98 span {
    position: absolute;
    color: #3f3e3e;
    font-size: 14px;
    background: #FFF;
    padding: 0 10px;
    top:-9px;
    left: 10px;
}
.iptnewoke {
    width: 95%;
    margin-top: 7px;
    border: 1px solid #ccc;
    padding: 10px;
    outline: none;
}
.newpkg {
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: space-between;
}
.newpkg button{
    outline: none;
    border: none;
    background: #4287f5;
    align-self: stretch;
    padding: 0 20px;
    color: #FFFFFF;
    border-radius: 4px;
}
.konten-mobile {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px 10px;
    font-family: 'Roboto', sans-serif;
}
.konten-mobile2 {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding: 0 15px;
}

.topbar {
    width: 100%;
    padding: 15px;
    display: flex;
    font-size: 20px;
    font-family: 'Roboto', sans-serif;
    font-weight: bold;
    font-size: 1.3em;
    justify-content: center;
}
.card-awal {
    width: 100%;
    background: #FFFFFF;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    margin-top: 10px;
    box-shadow: 2px 2px 10px #eeeeee;
    border: 1px solid #eeeeee;
    overflow: hidden;
    margin-bottom: 10px;
}
.card-awal.blue {
    background: #48b5e4;
}

.card-awal2 {
    width: 100%;
    background: #FFFFFF;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    margin-top: 10px;
    box-shadow: 2px 2px 10px #eeeeee;
    border: 1px solid #eeeeee;
    overflow: hidden;
    margin-bottom: 10px;
    padding: 10px;
}

.card-judul {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.items {
    width: 100%;
    font-weight: bold;
    color: #FFFFFF;
    padding: 10px 0 0 10px;
}

.items-nilai {
    width: 100%;
    text-align: center;
    font-size: 2em;
    font-family: 'Noto Serif Vithkuqi', serif;
    margin-bottom: 20px;
}
.items-nilai span{
    position: absolute;
    font-size: 12px;
    right: 5px;
    bottom: -15px;
    color: #FFFFFF;
}
.items-dobel {
    width: 100%;
    display: flex;
    justify-content: space-between;
}
.dobel {
    width: 50%;
    display: flex;
    justify-content: center;
    padding: 10px 0;
    border: 1px solid #eeeeee;
    color: #393737;
}
.dobel.green {background: #06a235; color: #fff;}
.dobel.red {background: #fa1e0f; color: #fff;}
.dobel.grey {background: #035797; color: #fff;}

.dobel:hover {
    background: #efeeee;
    color: #000;
}
.boxlogin {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 0 20px;
}
.rowcol {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.rowcol img {
    width: 130px;
}
.rowcol h1 {
    font-family: 'Noto Serif Vithkuqi', serif;
}
.iptcontrol {
    width: 100%;
    display: flex;
    font-family: 'Roboto', sans-serif;
}
.iptcontrol label {
    width: 30%;
    padding: 7px 0;
}
.iptcontrol input {
    width: 70%;
    padding: 0 10px;
    outline: none;
    border: 1px solid #ccc;
    border-radius: 4px;
}
.mt10 { margin-top: 10px; }
.mt20 { margin-top: 20px; }
.mt15 { margin-top: 15px; }
.rowcol button {
    width: 100%;
    outline: none;
    border: none;
    background: #4287f5;
    color: #FFFFFF;
    font-family: 'Roboto', sans-serif;
    padding: 8px 0;
    border-radius: 4px;
}
.nodec {text-decoration: none; color:#000;}
.full-width {
    width: 100%;
}